/* eslint-disable sort-keys-fix/sort-keys-fix */
/** @type {import('tailwindcss').Config} */
module.exports = {
  content: ["./index.html", "./src/**/*.{js,ts,jsx,tsx}"],
  darkMode: ["class"],
  prefix: "",
  theme: {
    container: {
      center: true,
      padding: "2rem",
      screens: {
        "2xl": "1400px",
      },
    },
    extend: {
      animation: {
        "accordion-down": "accordion-down 0.2s ease-out",
        "accordion-up": "accordion-up 0.2s ease-out",
      },
      borderRadius: {
        DEFAULT: "var(--radius)",
        s: "4px",
        m: "8px",
        l: "16px",
        lg: "var(--radius)",
        md: "calc(var(--radius) - 2px)",
        sm: "calc(var(--radius) - 4px)",
      },
      colors: {
        white: "rgba(255, 255, 255, 1)",
        whiteOpacity: "rgba(255, 255, 255, 0.3)",
        black: "rgba(0, 0, 0, 1)",
        grey: "rgba(238, 238, 238, 1)",
        darkGrey: "rgba(144, 144, 144, 1)",
        red: "rgba(255, 0, 0, 1)",
        semiLightRed: "rgba(255, 0, 0, 0.75)",
        lightRed: "rgba(255, 0, 0, 0.5)",
        lightGreen: "rgba(0, 255, 255, 0.75)",
        green: "rgba(0, 255, 0, 1)",
        darkGreen: "rgba(27, 120, 43, 1)",
        warningOrange: "rgba(237, 111, 46, 0.8)",
        yellow: "rgba(255, 255, 0, 0.8)",
        blue: "rgba(0, 0, 255, 1)",
      },
      fontSize: {
        xxs: "12px",
        xs: "14px",
        s: "16px",
        m: "18px",
        l: "24px",
        xl: "36px",
        xxl: "48px",
      },
      keyframes: {
        "accordion-down": {
          from: { height: "0" },
          to: { height: "var(--radix-accordion-content-height)" },
        },
        "accordion-up": {
          from: { height: "var(--radix-accordion-content-height)" },
          to: { height: "0" },
        },
      },
      lineHeight: {
        s: "1.2",
        m: "1.4",
        l: "1.7",
      },
      screens: {
        xs: "396px",
        sm: "576px",
        md: "768px",
        lg: "992px",
        xl: "1200px",
        xxl: "1350px",
      },
      spacing: {
        xxs: "2px",
        xs: "4px",
        s: "8px",
        m: "16px",
        l: "24px",
        xl: "32px",
        xxl: "40px",
        "3xl": "48px",
        "4xl": "64px",
        "5xl": "128px",
      },
    },
  },
  plugins: [require("tailwindcss-animate")],
};
